- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
RagTime5SpreadsheetInternal::SpreadsheetCParser Struct Reference

low level: parser of main spreadsheet cluster More...

Inheritance diagram for RagTime5SpreadsheetInternal::SpreadsheetCParser:

## Public Member Functions
| SpreadsheetCParser (RagTime5ClusterManager &parser, int type)
| constructor More...
shared_ptr< ClusterSpreadsheet > | getSpreadsheetCluster ()
| return the spreadsheet cluster More...
shared_ptr< RagTime5ClusterManager::Cluster > | getCluster ()
| return the current cluster More...
void | endZone ()
| end of a start zone call More...
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a zone More...
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f)
| parse a field More...
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor More...
virtual | ~ClusterParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster More...
virtual void | startZone ()
| start a new zone More...
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name More...
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header More...
std::string | getClusterName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know) More...

## Protected Member Functions
bool | parseDataZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a data block More...
bool | parseHeaderZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse the header zone More...

## Protected Attributes
shared_ptr< ClusterSpreadsheet > | m_cluster
| the current cluster More...
int | m_what
| a index to know which field is parsed : 0: main, 1: list, 2: fSz69... More...
int | m_linkId
| the link id: 0: unicode, 1: clust link, 2: clust link 2, 3-6: the fixed zones of size 10, 16, 18, 8, 7: the list zone with fieldSize=6|10|14, 8: main content More...
std::string | m_fieldName
| the actual field name More...

## Private Member Functions
| SpreadsheetCParser (SpreadsheetCParser const &orig)
| copy constructor (not implemented) More...
SpreadsheetCParser & | operator= (SpreadsheetCParser const &orig)
| copy operator (not implemented) More...

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser More...
int | m_type
| the cluster type More...
bool | m_hiLoEndian
| zone endian More...
std::string | m_name
| the cluster name More...
int | m_dataId
| the actual zone id More...
Link | m_link
| the actual link More...

## Detailed Description

low level: parser of main spreadsheet cluster

## Constructor & Destructor Documentation

RagTime5SpreadsheetInternal::SpreadsheetCParser::SpreadsheetCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type
| ) |  |
| inline

constructor

RagTime5SpreadsheetInternal::SpreadsheetCParser::SpreadsheetCParser | ( | SpreadsheetCParser const & | orig | ) |
| private

copy constructor (not implemented)

## Member Function Documentation

void RagTime5SpreadsheetInternal::SpreadsheetCParser::endZone | ( |  | ) |
| inline virtual

end of a start zone call

Reimplemented from RagTime5ClusterManager::ClusterParser.

shared_ptr<RagTime5ClusterManager::Cluster> RagTime5SpreadsheetInternal::SpreadsheetCParser::getCluster | ( |  | ) |
| inline virtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

shared_ptr<ClusterSpreadsheet> RagTime5SpreadsheetInternal::SpreadsheetCParser::getSpreadsheetCluster | ( |  | ) |
| inline

return the spreadsheet cluster

Referenced by RagTime5Spreadsheet::readSpreadsheetCluster().

SpreadsheetCParser& RagTime5SpreadsheetInternal::SpreadsheetCParser::operator= | ( | SpreadsheetCParser const & | orig | ) |
| private

copy operator (not implemented)

bool RagTime5SpreadsheetInternal::SpreadsheetCParser::parseDataZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline protected

parse a data block

bool RagTime5SpreadsheetInternal::SpreadsheetCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

bool RagTime5SpreadsheetInternal::SpreadsheetCParser::parseHeaderZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline protected

parse the header zone

bool RagTime5SpreadsheetInternal::SpreadsheetCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## Member Data Documentation

shared_ptr<ClusterSpreadsheet> RagTime5SpreadsheetInternal::SpreadsheetCParser::m_cluster
| protected

the current cluster

Referenced by endZone(), getCluster(), and getSpreadsheetCluster().

std::string RagTime5SpreadsheetInternal::SpreadsheetCParser::m_fieldName
| protected

the actual field name

int RagTime5SpreadsheetInternal::SpreadsheetCParser::m_linkId
| protected

the link id: 0: unicode, 1: clust link, 2: clust link 2, 3-6: the fixed zones of size 10, 16, 18, 8, 7: the list zone with fieldSize=6|10|14, 8: main content

Referenced by endZone().

int RagTime5SpreadsheetInternal::SpreadsheetCParser::m_what
| protected

a index to know which field is parsed : 0: main, 1: list, 2: fSz69...

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx